Payments & FinanceBilling
Get the current AI credit catalog
GET
/v1/billing/current/ai-credits/catalogGet the current AI credit catalog. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/billing/current/ai-credits/catalog" \ -H "Authorization: Bearer <token>"{ "currencyCode": "PEN", "creditValue": 1, "creditPacks": [ { "code": "example_code", "name": "Example resource", "credits": 1, "basePrice": 1, "discountRate": 1, "discountAmount": 1, "price": 1, "currencyCode": "PEN", "isCustom": false } ], "customCreditPack": { "minCredits": 1, "maxCredits": 1, "creditStep": 1 }}